//! This module contains everything for managing planned trips and events.
//! `Cox` can create trips, `EventUser` can create events. Rowers can join those.

/// Events can be created by everyone who has the `manage_events` role. They are used if multiple coxes are needed, e.g. for "Fetzenfahrt", "Anrudern", .... Additionally, events are shown in public calendar (e.g. on the website).
pub mod event;

/// Trips can be created by every cox. They are "simple", every-day trips.
pub mod trip;

/// Extracts the common data for both Trips and Events. Rower can register using this.
pub mod tripdetails;

/// Type of the trip
pub mod triptype;

/// Associative table between `User` and `TripDetails`. Its functionality should probably move into
/// those files.
// TODO: make this mod unnecessary
pub mod usertrip;
